import { mount } from '@vue/test-utils'
import { expect, test, describe } from 'vitest'
import PageHeader from "@atoms/PageHeader.vue"
import { createStore } from 'vuex'
import {store as proxy} from '@/store/modules/proxy';

describe("tests PageHeader with vuex", () => {
  const store = createStore({
    plugins: [],
    modules: {
      proxy
    },
  })

  test('tests PageHeader with vuex', async () => {
    const wrapper = mount(PageHeader, {
      global: {
        plugins: [store]
      }
    })

    expect(wrapper.text()).toContain('На главную')
  })
})

